Skip to content
LogoLogo

Node

ABCIQuery

GET/cosmos/base/tendermint/v1beta1/abci_query

ABCIQuery defines a query handler that supports ABCI queries directly to the application, bypassing Tendermint completely. The ABCI query must contain a valid and supported path, including app, custom, p2p, and store.

Query Parameters

data
string
path
string
height
string <int64>
prove
boolean

Responses

GetLatestBlock

GET/cosmos/base/tendermint/v1beta1/blocks/latest

GetLatestBlock returns the latest block.

Responses

GetBlockByHeight

GET/cosmos/base/tendermint/v1beta1/blocks/{height}

GetBlockByHeight queries block for given height.

Path Parameters

heightRequired
string <int64>

Responses

GetNodeInfo

GET/cosmos/base/tendermint/v1beta1/node_info

GetNodeInfo queries the current node info.

Responses

GetSyncing

GET/cosmos/base/tendermint/v1beta1/syncing

GetSyncing queries node syncing.

Responses

GetLatestValidatorSet

GET/cosmos/base/tendermint/v1beta1/validatorsets/latest

GetLatestValidatorSet queries latest validator-set.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

GetValidatorSetByHeight

GET/cosmos/base/tendermint/v1beta1/validatorsets/{height}

GetValidatorSetByHeight queries validator-set at a given height.

Path Parameters

heightRequired
string <int64>

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Config

GET/cosmos/base/node/v1beta1/config

Config queries for the operator configuration.

Responses

Status

GET/cosmos/base/node/v1beta1/status

Status queries for the node status.

Responses